Subject: PostgreSQL Assistance (was Re: Sorry to bother you)
From: Jason Tishler <[email-masked]>
To: Michael Rieser <[email-masked]>
Cc: Cygwin <[email-masked]>
Date: Mon, 09 Dec 2002 13:19:51 -0500

Mike,

Please post instead of sending private email.

On Sat, Dec 07, 2002 at 11:18:51AM -0600, Michael Rieser wrote:
> I'm trying to get PostgreSQL 7.3 working under Windows 2000 as a
> service.
> 
> I've run the most recent cygwin setup.exe to install postgresql.
> 
> I've followed the postgresql-7.3.README as well as I can.
> 
> The shell script "postmaster" seems to be missing. I can find doc
> files and man pages referring to it, but it's not in the distribution.
> To avoid confusion, either the README should change or the shell
> script should be included.

postmaster *is* included in the distribution, but it is a symlink:

    $ tar -tvjf postgresql-7.3-1.tar.bz2 usr/bin/postmaster
    lrwxrwxrwx jt/Domain Users   0 2002-12-03 09:26:25 usr/bin/postmaster -> postgres.exe

> I'm assuming pg_ctl can be substituted for postmaster, but I haven't
> figured out the mapping yet.

No.

> Would you mind emailing me the cygwin version of postmaster, or
> letting me know what to run instead?

Are you trying to invoke postmaster from cmd?  If so, then this could
explain your problem.

> Thanks,
> Mike
> 
> Also, I found this website helpful for setting up the Local Policy file
> http://msdn.microsoft.com/library/default.asp?url=/library/en-us/bts_2002/htm/lat_ins_guide_qzqd.asp
> 
> This is the part of the README I'm trying to follow:
> 4. Install postmaster as a NT service:
> 
>     # cygrunsrv --install postmaster --path /usr/bin/postmaster --args "-D
> /usr/share/postgresql/data -i" --dep ipc-daemon --termsig INT --user
> postgres --shutdown

Thanks for the pointer, but I don't see the relevance.

Jason

-- 
PGP/GPG Key: http://www.tishler.net/jason/pubkey.asc or key servers
Fingerprint: 7A73 1405 7F2B E669 C19D  8784 1AFD E4CC ECF4 8EF6

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/